# Pound symbol starts a comment. This is a comment.
spec_version: v2
recipe_id: tutorial_02_1
recipe_version: "0_0_0"  # Recipe version must be in this format
description: |
  This optional field should be used to describe on a high level what the recipe is about in plain English.
  E.g., This recipe is a skeleton example to be used as starting point to write new recipes.
configuration:
  # Configuration is optional, you would need to define it (as a valid jsonschema but in yaml format) if you
  # want your recipe to accept any input parameters via a job request.
  # For a friendly jsonschema reference, see https://spacetelescope.github.io/understanding-json-schema/index.html
  properties:
    name_of_the_first_parameter:
      description: Plain English description on the what this parameter mean, is used for, whatever.
      type: string
    name_of_the_second_parameter:
      description: Same as above
      type: number
    email:
      description: This parameter allows you to specify your email address if you wish to be
        notified of the success or failure of your dag run.
      type: string